Showroom Mobile Banking - Bug #14584

firebase dynamic link for deep link
31 October 2022 03:06 PM - chok yee fan

Status: Pending SIT Start date: 31 October 2022
Priority: Normal Due date:

Assignee: See Liang Lim % Done: 100%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5
Description

need to r&d using Firebase dynamic link to replace branchio link.

1. create a link from firebase. Add the value into the link e.g.
https://showroomdemo.page.link/Sid8?navPage=productApplication
or firebase recommend way adding the value.

2. If without the app, it will navigate to download page. (Need setup at firebase)
3. After install the app, it click the link will launch iOS / Android app.
4. Program at app.component.ts, when launch the app able to get the value pass from the link.

contextual link

5. If step 4 able to do. uninstall the app -> click on the link -> navigate to download page -> install the app -> launch app -> able to
get value from firebase.

Noted: this step click the link once only.

reference
https://console.firebase.google.com/u/3/project/showroom-demo-4354c/durablelinks/creation/https:~2F~2Fshowroomdemo.page.link

History

#1 - 04 November 2022 02:17 PM - Megat AhmadSalehudin
- Status changed from New to Resolved
- Assignee changed from Megat AhmadSalehudin to Hoo Dextor

- % Done changed from 0 to 100

r219760 | ahmadsalehudin | 2022-11-04 11:59:58 MYT

Changed paths:

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/app.module.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/config.xml

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/package.json

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/GoogleService-Info.plist

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/app.component.ts
#2 - 16 November 2022 09:44 PM - Megat AhmadSalehudin
https://showroomdemo.page.link/SiJ8?navPage=productApplication
https://console.firebase.google.com/u/3/project/showroom-demo-4354c/durablelinks/creation/https:~2F~2Fshowroomdemo.page.link
https://dev.silverlakemobility.com/redmine/issues/14584

- Status changed from Resolved to Pending SIT

- Assignee changed from Hoo Dextor to See Liang Lim

Released v2.0.0.0.8 SIT
